atapi_qc_may_overflow
Prev | Chapter 5. libata Core Internals | Next

## Name

atapi_qc_may_overflow — Check whether data transfer may overflow

## Synopsis

`int atapi_qc_may_overflow (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  ATA command in question

## Description

ATAPI commands which transfer variable length data to host might overflow due to application error or hardare bug. This function checks whether overflow should be drained and ignored for `qc`.

## LOCKING

None.

## RETURNS

1 if `qc` may overflow; otherwise, 0.

Prev | Up | Next
ata_check_atapi_dma | Home | ata_sg_setup_one